package it.integry.integrywmsnative.gest.accettazione_ordini_elenco.ui;

import java.util.List;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.gest.accettazione_ordini_elenco.dto.OrdineAccettazioneInevasoDTO;

public class MainListAccettazioneOrdiniElencoListModel {

    private String groupTitle;

    private String description;

    private boolean hidden;
    private BindableBoolean selected = new BindableBoolean();


    private OrdineAccettazioneInevasoDTO originalModel;
    private List<MainListAccettazioneOrdiniElencoClienteListModel> clientiListModel;


    public String getGroupTitle() {
        return groupTitle;
    }

    public MainListAccettazioneOrdiniElencoListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public MainListAccettazioneOrdiniElencoListModel setDescription(String description) {
        this.description = description;
        return this;
    }

    public boolean isHidden() {
        return hidden;
    }

    public MainListAccettazioneOrdiniElencoListModel setHidden(boolean hidden) {
        this.hidden = hidden;
        return this;
    }

    public BindableBoolean getSelectedObservable() {
        return selected;
    }

    public OrdineAccettazioneInevasoDTO getOriginalModel() {
        return originalModel;
    }

    public MainListAccettazioneOrdiniElencoListModel setOriginalModel(OrdineAccettazioneInevasoDTO originalModel) {
        this.originalModel = originalModel;
        return this;
    }

    public List<MainListAccettazioneOrdiniElencoClienteListModel> getClientiListModel() {
        return clientiListModel;
    }

    public MainListAccettazioneOrdiniElencoListModel setClientiListModel(List<MainListAccettazioneOrdiniElencoClienteListModel> clientiListModel) {
        this.clientiListModel = clientiListModel;
        return this;
    }
}
